cascading.flow.planner.iso.expression

## Class AndElementExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.AndElementExpression

All Implemented Interfaces:
  Expression<FlowElement>

    public class AndElementExpression
    extends ElementExpression

### Constructor Summary

Constructors
Constructor and Description
`AndElementExpression(ElementCapture capture, ElementExpression... matchers)`
`AndElementExpression(ElementExpression... matchers)`
`AndElementExpression(java.lang.String name, ElementCapture capture, ElementExpression... matchers)`
`AndElementExpression(java.lang.String name, ElementExpression... matchers)`

### Method Summary

Methods
`static ElementExpression` `and(ElementCapture capture, ElementExpression... elementMatchers)`
`static ElementExpression` `and(ElementExpression... elementMatchers)`
`static ElementExpression` `and(java.lang.String name, ElementCapture capture, ElementExpression... elementMatchers)`
`static ElementExpression` `and(java.lang.String name, ElementExpression... elementMatchers)`
`boolean` `applies(PlannerContext plannerContext, ElementGraph elementGraph, FlowElement flowElement)`
`java.lang.String` `toString()`

### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

`getCapture`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AndElementExpression

    public AndElementExpression(java.lang.String name,
                        ElementExpression... matchers)

#### AndElementExpression

    public AndElementExpression(java.lang.String name,
                        ElementCapture capture,
                        ElementExpression... matchers)

#### AndElementExpression

    public AndElementExpression(ElementExpression... matchers)

#### AndElementExpression

    public AndElementExpression(ElementCapture capture,
                        ElementExpression... matchers)

### Method Detail

#### and

    public static ElementExpression and(java.lang.String name,
                        ElementExpression... elementMatchers)

#### and

    public static ElementExpression and(java.lang.String name,
                        ElementCapture capture,
                        ElementExpression... elementMatchers)

#### and

    public static ElementExpression and(ElementExpression... elementMatchers)

#### and

    public static ElementExpression and(ElementCapture capture,
                        ElementExpression... elementMatchers)

#### applies

    public boolean applies(PlannerContext plannerContext,
                  ElementGraph elementGraph,
                  FlowElement flowElement)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ElementExpression`